[med-svn] [khmer] 01/02: Add a patch and supply my wrapper script.
Timothy Booth
tbooth-guest at moszumanska.debian.org
Fri Jan 30 22:04:58 UTC 2015
This is an automated email from the git hooks/post-receive script.
tbooth-guest pushed a commit to branch master
in repository khmer.
commit 859a27cd0c16ec8c6d6d75053007c9f5d07283e1
Author: Tim Booth <tbooth at ceh.ac.uk>
Date: Fri Jan 30 21:59:25 2015 +0000
Add a patch and supply my wrapper script.
---
debian/bin/khmer | 27 +++++++++++++++++++++++++++
debian/patches/disable_google_analytics | 32 ++++++++++++++++++++++++++++++++
debian/patches/series | 1 +
3 files changed, 60 insertions(+)
diff --git a/debian/bin/khmer b/debian/bin/khmer
new file mode 100755
index 0000000..ac55d8e
--- /dev/null
+++ b/debian/bin/khmer
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# Run a khmer command
+# Note silly sh-compatible way of testing if arg starts with -
+if [ "$1" = "" -o "${1#-}" != "$1" ] ; then
+ cat <<.
+Usage: khmer <script> [args]
+ khmer <script> --help
+
+If you want to run the scripts directly, as per the khmer documentation,
+modify your PATH like so:
+ export PATH="/usr/lib/khmer/bin:\$PATH"
+
+Scripts available:
+.
+ls /usr/lib/khmer/bin/*.py | sed 's/.*\// /;s/\.py$//'
+exit 1
+fi
+
+
+# Set environment
+export PATH="$PATH:/usr/lib/khmer/bin"
+
+cmd=`basename "$1" .py`.py
+shift
+
+exec "/usr/lib/khmer/bin/$cmd" "$@"
diff --git a/debian/patches/disable_google_analytics b/debian/patches/disable_google_analytics
new file mode 100644
index 0000000..ed33f30
--- /dev/null
+++ b/debian/patches/disable_google_analytics
@@ -0,0 +1,32 @@
+Turn off Google analytics as per Lintian warning
+--- a/doc/conf.py
++++ b/doc/conf.py
+@@ -190,7 +190,7 @@
+ # Various settings to pass to templates:
+
+ html_context = {
+- "google_analytics_id" : 'UA-51731094-1',
++# "google_analytics_id" : 'UA-51731094-1',
+ "disqus_shortname" : 'khmer-docs',
+ # "github_base_account" : 'ged-lab',
+ "github_project" : 'khmer',
+
+--- khmer-1.1.orig/doc/_templates/page.html
++++ khmer-1.1/doc/_templates/page.html
+@@ -61,6 +61,7 @@
+
+ {% endif %}
+
++{% if google_analytics_id %}
+ <script type="text/javascript">
+
+ var _gaq = _gaq || [];
+@@ -74,6 +75,7 @@
+ })();
+
+ </script>
++{% endif %}
+
+ {% endblock %}
+
+
diff --git a/debian/patches/series b/debian/patches/series
index 8a3fec5..4a81ef1 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,3 @@
local-libs
older-setuptools
+disable_google_analytics
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/khmer.git
More information about the debian-med-commit
mailing list